View Issue Details

IDProjectCategoryView StatusLast Update
0003094DraftBugpublic2017-07-04 00:42
ReporterchrisbAssigned Towandererfan 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version0.16 
Target VersionFixed in Version0.17 
Summary0003094: ShapeString: Tracking is not a distance but a factor
DescriptionThe Tracking of a ShapeString should be the distance between characters. In the attached example a tracking value of 1000mm leads in fact to a tracking of 8.3 mm. It is dependent on the font and it's size.
In the discussion thread wandererfan has already pointed out how the tracking is calculated.
Steps To Reproduce
  1. Create in Draft WB a ShapeString with a size of 10, preferably with easy distinguishable vertical lines, e.g. several letters 'I' in a sans serif font
  2. set tracking to 1000mm
  3. The additional distance between the characters is far less, usually 5-20mm


Additional InformationThe attached file has two ShapeStrings one with and one without tracking. Additionally there is a sketch showing the distance.
To check what happens with different tracking values open the sketch, change to the data tab of the tree and change the parameters tracking and size. The Sketch updates the tracking distance.
The ShapeStrings use the fontfiles from a ubuntu system, other fonts may break the sketch and you may have to reattach it and recreate the external geometry.
Tagsshapestring

Activities

chrisb

2017-06-22 10:02

developer  

shapeStringTracking.fcstd (15,954 bytes)

wandererfan

2017-06-24 14:52

developer   ~0009520

ADMIN: This bug is in Draft, not PartDesign.

Kunda1

2017-06-24 16:11

administrator   ~0009521

Thanks wf ATM some technical difficulty is hindering me from doing that. Once that gets solved I'll move the ticket. Thanks!

Kunda1

2017-06-26 15:30

administrator   ~0009545

@wandererfan fix committed in FreeCAD master 674aabe8

Related Changesets

FreeCAD: master 674aabe8

2017-06-24 20:11:28

WandererFan

Details Diff
fix 0003094 ShapeString tracking Affected Issues
0003094
mod - src/Mod/Part/App/FT2FC.cpp Diff File

FreeCAD: master f919345e

2017-06-26 09:08:47

Yorik van Havre


Committer: GitHub Details Diff
Merge pull request 0000836 from WandererFan/SSTrack

fix 0003094 ShapeString tracking
Affected Issues
0003094
mod - src/Mod/Part/App/FT2FC.cpp Diff File

Issue History

Date Modified Username Field Change
2017-06-22 10:02 chrisb New Issue
2017-06-22 10:02 chrisb File Added: shapeStringTracking.fcstd
2017-06-24 14:52 wandererfan Assigned To => wandererfan
2017-06-24 14:52 wandererfan Status new => confirmed
2017-06-24 14:52 wandererfan Note Added: 0009520
2017-06-24 16:01 Kunda1 Tag Attached: shapestring
2017-06-24 16:11 Kunda1 Note Added: 0009521
2017-06-25 00:16 kkremitzki Project PartDesign => Draft
2017-06-26 15:30 Kunda1 Note Added: 0009545
2017-06-26 15:34 Kunda1 Status confirmed => assigned
2017-06-26 17:27 wmayer Status assigned => closed
2017-06-26 17:27 wmayer Resolution open => fixed
2017-06-26 17:27 wmayer Fixed in Version => 0.17
2017-07-04 00:40 Kunda1 Changeset attached => FreeCAD master f919345e
2017-07-04 00:42 Kunda1 Changeset attached => FreeCAD master 674aabe8